<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: Licenses</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="liblicenses">Licenses </a></h1><hr/>
 License terms for magpar and various libraries</p>
<h2><a class="anchor" id="liblicense_magpar">
magpar</a></h2>
<p><a class="el" href="gpl.html">GNU General Public License</a></p>
<h2><a class="anchor" id="liblicense_atlas">
Atlas</a></h2>
<p>BSD-style license <br/>
<a href="http://math-atlas.sourceforge.net/faq.html#license">http://math-atlas.sourceforge.net/faq.html#license</a></p>
<h2><a class="anchor" id="liblicense_lapack">
LAPACK</a></h2>
<p>freely-available even for commercial use <br/>
<a href="http://www.netlib.org/lapack/faq.html#1.2">http://www.netlib.org/lapack/faq.html#1.2</a></p>
<h2><a class="anchor" id="liblicense_mpi">
MPI</a></h2>
<p>MPICH: free <br/>
<a href="http://www.mcs.anl.gov/research/projects/mpich2/downloads/license.txt">http://www.mcs.anl.gov/research/projects/mpich2/downloads/license.txt</a></p>
<p>Open MPI: New BSD license <br/>
<a href="http://www.open-mpi.org/community/license.php">http://www.open-mpi.org/community/license.php</a></p>
<p>LAM/MPI: free (BSD style license) <br/>
<a href="http://www.lam-mpi.org/community/license.php">http://www.lam-mpi.org/community/license.php</a></p>
<h2><a class="anchor" id="liblicense_parmetis">
ParMetis</a></h2>
<p>free with limitations <br/>
<a href="http://www-users.cs.umn.edu/~karypis/metis/metis/faq.html#distribute">http://www-users.cs.umn.edu/~karypis/metis/metis/faq.html#distribute</a> <br/>
<a href="http://www-users.cs.umn.edu/~karypis/.discus/messages/16/122.html?1126805053">http://www-users.cs.umn.edu/~karypis/.discus/messages/16/122.html?1126805053</a></p>
<div class="fragment"><pre class="fragment">Copyright Notice
----------------

The ParMETIS/METIS package is copyrighted by the Regents of the 
University of Minnesota. It can be freely used for educational and 
research purposes by non-profit institutions and US government agencies 
only. Other organizations are allowed to use ParMETIS/METIS only for 
evaluation purposes, and any further uses will require prior approval. 
The software may not be sold or redistributed without prior approval. 
One may make copies of the software for their use provided that the 
copies, are not sold or distributed, are used under the same terms 
and conditions.

As unestablished research software, this code is provided on an
``as is'' basis without warranty of any kind, either expressed or
implied. The downloading, or executing any part of this software
constitutes an implicit agreement to these terms. These terms and
conditions are subject to change at any time without prior notice.

</pre></div><h2><a class="anchor" id="liblicense_sundials">
SUNDIALS</a></h2>
<p>free (BSD style license) <br/>
<a href="http://www.llnl.gov/CASC/sundials/download/license.html">http://www.llnl.gov/CASC/sundials/download/license.html</a></p>
<div class="fragment"><pre class="fragment">Copyright (c) 2002, The Regents of the University of California. 
Produced at the Lawrence Livermore National Laboratory.
Written by S.D. Cohen, A.C. Hindmarsh, R. Serban, 
           D. Shumaker, and A.G. Taylor.
UCRL-CODE-155951    (CVODE)
UCRL-CODE-155950    (CVODES)
UCRL-CODE-155952    (IDA)
UCRL-CODE-155953    (KINSOL)
All rights reserved. 

This file is part of SUNDIALS.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the disclaimer below.

2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the disclaimer (as noted below)
in the documentation and/or other materials provided with the
distribution.

3. Neither the name of the UC/LLNL nor the names of its contributors
may be used to endorse or promote products derived from this software
without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
REGENTS OF THE UNIVERSITY OF CALIFORNIA, THE U.S. DEPARTMENT OF ENERGY
OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Additional BSD Notice
---------------------
1. This notice is required to be provided under our contract with
the U.S. Department of Energy (DOE). This work was produced at the
University of California, Lawrence Livermore National Laboratory
under Contract No. W-7405-ENG-48 with the DOE.

2. Neither the United States Government nor the University of
California nor any of their employees, makes any warranty, express
or implied, or assumes any liability or responsibility for the
accuracy, completeness, or usefulness of any information, apparatus,
product, or process disclosed, or represents that its use would not
infringe privately-owned rights.

3. Also, reference herein to any specific commercial products,
process, or services by trade name, trademark, manufacturer or
otherwise does not necessarily constitute or imply its endorsement,
recommendation, or favoring by the United States Government or the
University of California. The views and opinions of authors expressed
herein do not necessarily state or reflect those of the United States
Government or the University of California, and shall not be used for
advertising or product endorsement purposes.
</pre></div><h2><a class="anchor" id="liblicense_petsc">
PETSc</a></h2>
<p>free <br/>
<a href="http://www.mcs.anl.gov/petsc/petsc-as/documentation/copyright.html">http://www.mcs.anl.gov/petsc/petsc-as/documentation/copyright.html</a></p>
<html>
<body BGCOLOR="FFFFFF">

    <h1>Copyright</h1>
    

 
    <td width="75%" valign="top">
   If you modify PETSc source code and wish to distributed only binary versions of your changed code
    (which you can) you <strong>must</strong> config/configure.py PETSc with the additional flag --with-gnu-copyright-code=0
    to prevent violating the GNU copyright which covers a
    tiny percentage of the code in the PETSc distribution.</p>

   <p align="center"><font size="5">COPYRIGHT NOTIFICATION</font>
    </p>
    <p align="center"><font size="4">(C) COPYRIGHT 1995-2004 UNIVERSITY OF CHICAGO </font></p>
    <p>This program discloses material protectable under copyright laws of the United States.
    Permission to copy and modify this software and its documentation is
    hereby granted, provided that this notice is retained thereon and on all copies or
    modifications. The University of Chicago makes no representations as to the suitability
    and operability of this software for any purpose. It is provided &quot;as is&quot; without
    express or implied warranty. Permission is hereby granted to use, reproduce, prepare
    derivative works, and to redistribute to others, so long as this original copyright notice
    is retained. </p>
    <p><a href="http://www.mcs.anl.gov/petsc/petsc-as/miscellaneous/index.html">Software authors</a></p>

    <ul type="circle">
      <li>Mathematics and Computer Science Division</li>
      <li>Argonne National Laboratory, </li>
      <li>Argonne IL 60439 FAX: (630) 252-5986 </li>
      <li>Any questions or comments on the software may be directed to <a href="mailto:petsc-maint@mcs.anl.gov">petsc-maint@mcs.anl.gov</a>.</li>
    </ul>
    <p>Argonne National Laboratory with facilities in the state of Illinois, is
    owned by The United States Government, and operated by the University of Chicago under
    provision of a contract with the Department of Energy. </p>
    <p align="center"><font size="5">DISCLAIMER </font></p>
    <p>THIS PROGRAM WAS PREPARED AS AN ACCOUNT OF WORK SPONSORED BY AN AGENCY OF THE UNITED
    STATES GOVERNMENT. NEITHER THE UNITED STATES GOVERNMENT NOR ANY AGENCY THEREOF, NOR THE
    UNIVERSITY OF CHICAGO, NOR ANY OF THEIR EMPLOYEES OR OFFICERS, MAKES ANY WARRANTY, EXPRESS
    OR IMPLIED, OR ASSUMES ANY LEGAL LIABILITY OR RESPONSIBILITY FOR THE ACCURACY,
    COMPLETENESS, OR USEFULNESS OF ANY INFORMATION, APPARATUS, PRODUCT, OR PROCESS DISCLOSED,
    OR REPRESENTS THAT ITS USE WOULD NOT INFRINGE PRIVATELY OWNED RIGHTS. REFERENCE HEREIN TO
    ANY SPECIFIC COMMERCIAL PRODUCT, PROCESS, OR SERVICE BY TRADE NAME, TRADEMARK,
    MANUFACTURER, OR OTHERWISE, DOES NOT NECESSARILY CONSTITUTE OR IMPLY ITS ENDORSEMENT,
    RECOMMENDATION, OR FAVORING BY THE UNITED STATES GOVERNMENT OR ANY AGENCY THEREOF. THE
    VIEW AND OPINIONS OF AUTHORS EXPRESSED HEREIN DO NOT NECESSARILY STATE OR REFLECT THOSE OF
    THE UNITED STATES GOVERNMENT OR ANY AGENCY THEREOF.
   
   </body>
</html>
<h2><a class="anchor" id="liblicense_tao">
TAO</a></h2>
<div class="fragment"><pre class="fragment">COPYRIGHT NOTIFICATION

TAO: Toolkit for Advanced Optimization

In addition to the following copyright, we also request that you give this 
citation in any publications or software that utilize TAO.

Copyright 2009 , UChicago Argonne, LLC Operator of Argonne National Laboratory

All rights reserved.

Toolkit for Advanced Optimization (TAO), Version 1.10

OPEN SOURCE LICENSE

Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions are met:

   1. Redistributions of source code must retain the above copyright notice, 
      this list of conditions and the following disclaimer. Software changes, 
      modifications, or derivative works, should be noted with comments and 
      the author and organization's name.

   2. Redistributions in binary form must reproduce the above copyright notice,
      this list of conditions and the following disclaimer in the documentation
      and/or other materials provided with the distribution.

   3. Neither the names of UChicago Argonne, LLC or the Department of Energy 
      nor the names of its contributors may be used to endorse or promote 
      products derived from this software without specific prior written 
      permission.

   4. The software and the end-user documentation included with the 
      redistribution, if any, must include the following acknowledgment: "This 
      product includes software produced by UChicago Argonne, LLC under 
      Contract No. DE-AC02-06CH11357 with the Department of Energy." 

****************************************************************************
DISCLAIMER

THE SOFTWARE IS SUPPLIED "AS IS" WITHOUT WARRANTY OF ANY KIND.

Neither the United States GOVERNMENT, nor the United States Department of 
Energy, NOR uchicago argonne, LLC, nor any of their employees, makes any 
warranty, express or implied, or assumes any legal liability or responsibility
for the accuracy, completeness, or usefulness of any information, data, 
apparatus, product, or process disclosed, or represents that its use would not
infringe privately owned rights.
****************************************************************************

</pre></div><h2><a class="anchor" id="liblicense_zlib">
zlib</a></h2>
<p>free (OSI approved license) <br/>
<a href="http://www.zlib.net/zlib_license.html">http://www.zlib.net/zlib_license.html</a></p>
<h2><a class="anchor" id="liblicense_png">
libpng</a></h2>
<p>free (OSI approved license) <br/>
<a href="http://www.libpng.org/pub/png/src/libpng-LICENSE.txt">http://www.libpng.org/pub/png/src/libpng-LICENSE.txt</a> </p>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

